hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Haohui Mai (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-10530) Make hadoop trunk build on Java7+ only
Date Mon, 08 Dec 2014 23:18:14 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-10530?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14238642#comment-14238642
] 

Haohui Mai commented on HADOOP-10530:
-------------------------------------

For some reason jenkins is still picking up Java 6 (https://builds.apache.org/job/PreCommit-HDFS-Build/8957//console):

{noformat}
[INFO] --- maven-enforcer-plugin:1.3.1:enforce (clean) @ hadoop-main ---
[WARNING] Rule 1: org.apache.maven.plugins.enforcer.RequireJavaVersion failed with message:
Detected JDK Version: 1.6.0-45 is not in the allowed range [1.7,).
[INFO] ------------------------------------------------------------------------
{noformat}



> Make hadoop trunk build on Java7+ only
> --------------------------------------
>
>                 Key: HADOOP-10530
>                 URL: https://issues.apache.org/jira/browse/HADOOP-10530
>             Project: Hadoop Common
>          Issue Type: Improvement
>          Components: build
>    Affects Versions: 3.0.0, 2.6.0
>         Environment: Java 1.7+
>            Reporter: Steve Loughran
>            Assignee: Steve Loughran
>            Priority: Blocker
>             Fix For: 2.7.0
>
>         Attachments: HADOOP-10530-001.patch, HADOOP-10530-002.patch, HADOOP-10530-003.patch,
HADOOP-10530-004.patch, HADOOP-10530-005.patch, HADOOP-10530-debug.000.patch, Screen Shot
2014-09-20 at 18.09.05.png
>
>
> As discussed on hadoop-common, hadoop 3 is envisaged to be Java7+ *only* -this JIRA covers
switching the build for this
> # maven enforcer plugin to set Java version = {{[1.7)}}
> # compiler to set language to java 1.7



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message